#!/usr/bin/rrdcgi

<!--
######################################################################
#            _       _        _        _
#           (_)     | |      | |      | |
#            _ _ __ | |_ ___ | |_ __ _| |
#           | | '_ \| __/ _ \| __/ _` | |
#           | | |_) | || (_) | || (_| | |
#           |_| .__/ \__\___/ \__\__,_|_|
#             | |
#             |_| V0.3 Dec. 17, 2001
#                 By Antoine Megens
#                 webmaster@dingetje.homeip.net
#
# RRD CGI script to display graphs of total IP bandwidth usage
# without the need for an SNMP daemon
#
# part of iptotal package for FREESCO
#
######################################################################
-->

<HTML>
<HEAD>
<TITLE>Network usage</TITLE>

<META HTTP-EQUIV="REFRESH" CONTENT="300">
<META HTTP-EQUIV="EXPIRES" CONTENT="Thu, 06 Dec 2001 09:54:52 GMT">
<META HTTP-EQUIV="pragma" CONTENT="no-cache">

</HEAD>
<BODY bgColor=#000000 leftMargin=20 link=#00ff00 text=#ffff00 topMargin=20 
vLink=#008000 background="/iptotal/images/zertxtr.gif" bgproperties="fixed">

<H1>Network usage</H1>

<table>
<tr><td align=right>
Database last updated: </td>
<td><FONT COLOR=#FF7733>
<RRD::TIME::LAST /var/lib/iptotal/iptotal.rrd %c>
</FONT><BR></tr>
<tr><td align=right>
Server Time: </td>
<td>
<FONT COLOR=#FF7733><RRD::TIME::NOW %c></FONT>
</td>
</table>
<h2><p><RRD::INCLUDE /var/lib/iptotal/result.txt></p></h2>
<HR>
<P><RRD::GRAPH /var/lib/iptotal/images/eth_2hr.png
          --title "Total data throughput (last two hours)"
          --imgformat PNG
          --width 600
          --height 200
          --lazy
          --end 'now-60s'
          --start 'end-2h'
          --imginfo '<IMG SRC=/iptotal/images/eth_2hr.png ALT="kbyte(s)">'
          DEF:in=/var/lib/iptotal/iptotal.rrd:input:AVERAGE
          DEF:out=/var/lib/iptotal/iptotal.rrd:output:AVERAGE
          AREA:in#009828:"In kbyte(s)"
          LINE2:out#ff0000:"Out kbyte(s)"
          >
</P>
<HR>
<P><RRD::GRAPH /var/lib/iptotal/images/eth_day.png
          --title "Total data throughput (last 24 hr)"
          --imgformat PNG
          --lazy
          --width 600
          --height 150
          --end 'now-60s'
          --start 'end-24h'
          --imginfo '<IMG SRC=/iptotal/images/eth_day.png ALT="kbyte(s)">'
          DEF:in=/var/lib/iptotal/iptotal.rrd:input:AVERAGE
          DEF:out=/var/lib/iptotal/iptotal.rrd:output:AVERAGE
          DEF:maxin=/var/lib/iptotal/iptotal.rrd:input:MAX
          DEF:maxout=/var/lib/iptotal/iptotal.rrd:output:MAX
          AREA:in#009828:"In kbyte(s)"
          LINE2:out#ff0000:"Out kbyte(s)"
          LINE2:maxin#0030ff:"Max In"
          LINE2:maxout#ff8040:"Max Out"
          >
</P>
<HR>
<a href="/">
<img border="0" src="/iptotal/images/home.gif" hspace="10" width="42" height="36"></a>
<a href="iptotal_w.cgi">
<img border=0 src="/iptotal/images/Week_Button.gif" hspace=5 alt="Last Week"></a>
<a href="iptotal_m.cgi">
<img border=0 src="/iptotal/images/Month_Button.gif" hspace=5 alt="Last Month"></a>
<a href="iptotal_y.cgi">
<img border=0 src="/iptotal/images/Year_Button.gif" hspace=5 alt="Last Year"></a>
<a href="archive.cgi">
<img border=0 src="/iptotal/images/Archive_Button.gif" hspace=5 alt="Last 30 Days"></a>

</BODY>
</HTML>
